pydocstyle's documentation
==========================

(formerly pep257)

**pydocstyle** is a static analysis tool for checking compliance with Python
docstring conventions.

**pydocstyle** supports most of
`PEP 257 <http://www.python.org/dev/peps/pep-0257/>`_ out of the box, but it
should not be considered a reference implementation.


.. include:: quickstart.rst


Contents:

.. toctree::
   :maxdepth: 2

   usage
   error_codes
   release_notes
   license


Credits
=======

pydocstyle is a rename and continuation of pep257, a project created by
Vladimir Keleshev.

Maintained by Amir Rachum.

